﻿using IRCStates;
using IRCTokens;
using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace IRCSharp.Tests.State
{
    [TestClass]
    public class Sasl
    {
        private Server _server;

        [TestInitialize]
        public void TestInitialize()
        {
            _server = new Server("test");
            _server.Parse(new Line("900 * nick!user@host account"));
        }

        [TestMethod]
        public void LoggedIn()
        {
            Assert.AreEqual("nick", _server.NickName);
            Assert.AreEqual("user", _server.UserName);
            Assert.AreEqual("host", _server.HostName);
            Assert.AreEqual("account", _server.Account);
        }

        [TestMethod]
        public void LoggedOut()
        {
            _server.Parse(new Line("901 * nick1!user1@host1"));

            Assert.AreEqual("nick1", _server.NickName);
            Assert.AreEqual("user1", _server.UserName);
            Assert.AreEqual("host1", _server.HostName);
            Assert.IsTrue(string.IsNullOrEmpty(_server.Account));
        }
    }
}
